# Registrations and Licenses Industry Keywords

Partners can use the Industry Keywords Odata API to request a complete list of  keywords that are used to describe Business Activities in Registration products. Partners will then use the Keyword ID when submitted orders through Avalara Order APIs.

Source: https://developer.avalara.com/products/registration-and-licensing/api/

**Version:** v1
**Base URL:** https://integration.businesslicenses.com/

---

## Endpoints

### IndustryKeywords

#### Retrieve all/multiple Keywords

`GET /odata/Partner_Industry_Keywords`

Get multiple Keywords.   Search for specific objects using the criteria in the $filter parameter. Paginate your results using the $top, $skip, and $orderby parameters.   Use the $expand parameter with value Partner_Keyword_Industry_Activity to include the Business Activities per Industry in the result set.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$top` | string | query | No | The max number of records to be returned. Used with $skip to provide pagination for large datasets |
| `$skip` | string | query | No | The number of records to skip. Used with $top to provide pagination for large datasets. |
| `$filter` | string | query | No | Filter the keywords to get the desired id:  ‘eq’ will return keywords that match the passed in string exactly. ‘startswith’ will return keywords that start with the passed in string.  contains will return keywords that contain the passed in string. Format: (fieldname) eq 'value', for example: Keyword eq 'Retail'. Possible Uses: Keyword eq 'xxx', startswith(Keyword, 'xxx', contains(Keyword, 'xxx') |
| `$select` | string | query | No | Specifies the set of properties to return. Use a comma separated list. |
| `$orderby` | string | query | No | Determines what values are used to order a collection of records.  Format: (fieldname) [ASC|DESC], for example IndustryKeywordId ASC. Possible Values: Keyword, IndustryKeywordId |
| `$expand` | string | query | No | Use with value Partner_Keyword_Industry_Activity to return Business Activities per Industry in addition to the regular keyword call. |

#### Retrieve a single Keyword

`GET /odata/Partner_Industry_Keywords({key})`

Gets the Keyword that matches the IndustryKeywordId value you have requested.   Use the $expand parameter with value Partner_Keyword_Industry_Activity to include the Business Activities per Industry in the result set.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `key` | integer | path | Yes | The IndustryKeywordId |
| `$expand` | string | query | No | Use with value Partner_Keyword_Industry_Activity to return Business Activities per Industry in addition to the regular keyword call. |

---

## Models

### svc_Partner_Industry_Keyword

| Property | Type | Description |
|---|---|---|
| `IndustryKeywordId` | integer |  |
| `Keyword` | string |  |
| `Partner_Keyword_Industry_Activity` | array |  |

### svc_Partner_Keyword_Industry_Activity

| Property | Type | Description |
|---|---|---|
| `IndustryKeywordId` | integer |  |
| `IndustryActivityId` | integer |  |
| `DisplayName` | string |  |
| `Partner_Industry_Keyword` | svc_Partner_Industry_Keyword |  |
